Subject: (urth) Re: Wolfe's Women

From: Tony Ellis <tony.ellis at futurenet.co.uk>
Date: Wed, 01 Jul 1998 17:46:15 +0000

Jim Jordan wrote:
> While the modern view is that men and women are pretty much the same
> except for plumbing, the Christian view is that they are radically
> different and complementary.

That "plumbing" accounts for some pretty major differences, actually. It
has been proved that men and women's brains work very differently, often
using completely different parts to solve the same problems, and having
wildly different areas of expertise. Greatly differing testosterone
levels also make the sexes handle group and competitive situations very
differently.

This is why I have no problem with Wolfe's polarisation of the sexes _in
general_. The devil, as always, is in the details. :-)

*More Wolfe info & archive of this list at http://www.urth.net/urth/